#ifndef IZ_APP_H
#define IZ_APP_H

#include <signal.h>
#include <stdbool.h>
#include "net/svc/IZ_wsserver.h"
#include "log/IZ_log.h"
#include "IZ_common.h"
#include "IZ_config.h"
#include "net/IZ_net.h"
#include "db/IZ_repo.h"

typedef struct {
	IZ_NetState net_state;
	IZ_RepoState repo_state;
} IZ_App;

IZ_ProcedureResult IZ_AppRun(IZ_App*, u8, const char**);

#endif
